%% inicijalizacija
delete(instrfindall);
close all
clear all
s = serial('COM11');
set(s,'BaudRate',9600);
set(s,'DataBits',8);
set(s,'StopBits',1);
set(s,'FlowControl','none');

wekinator = udp('localhost',6448);
fopen(wekinator);

acc_x_axis = 0;
acc_y_axis = 0;
acc_z_axis = 0;
gyr_x_axis = 0;
gyr_y_axis = 0;
gyr_z_axis = 0;

fopen(s);
path = '/wek/inputs';

%% uspostavljanje veze
while(1)
    temp = fgetl(s);
    fprintf("%s\n", temp);
    if(~isempty(strfind(temp, "We are now connected to the BLE Server.")))
        break
    end
end

fprintf("POCINJE PRIMANJE!!!\n");

%% primanje podataka sa senzora i slanje na wekinator
while(1)
    %cekaj da krene slati podatke sa akcelerometra
    temp = fgetl(s);
    while (temp ~= 'A')
        fprintf("%s\n", temp);
        temp = fgetl(s);
    end
    acc_x_axis = fgetl(s);
    acc_y_axis = fgetl(s);
    acc_z_axis = fgetl(s);
    
	%cekaj da krene slati podatke sa ziroskopa
    temp = fgetl(s);
    while (temp ~= 'G')
        fprintf("%s\n", temp);
        temp = fgetl(s);
    end
	gyr_x_axis = fgetl(s);
    gyr_y_axis = fgetl(s);
    gyr_z_axis = fgetl(s);
	
    fprintf("acc_x_axis: %s\n", acc_x_axis);
    fprintf("acc_y_axis: %s\n", acc_y_axis);
    fprintf("acc_z_axis: %s\n", acc_z_axis);
	fprintf("gyr_x_axis: %s\n", gyr_x_axis);
    fprintf("gyr_y_axis: %s\n", gyr_y_axis);
    fprintf("gyr_z_axis: %s\n", gyr_z_axis);

    oscsend(wekinator,path,'ffffff', str2double(acc_x_axis),str2double(acc_y_axis),str2double(acc_z_axis),str2double(gyr_x_axis),str2double(gyr_y_axis),str2double(gyr_z_axis)); 
end

fclose(s);
delete(s);
clear s